%global srcname rustcfg
%{?python_enable_dependency_generator}

Name:           python-rustcfg
Version:        0.0.2
Release:        %mkrel 12
Summary:        Rust cfg expression parser in python
%if 0%{?mageia}
Group:          Development/Python
%endif
License:        MIT
URL:            https://pagure.io/fedora-rust/python-rustcfg
Source:         https://pypi.io/packages/source/r/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%global _description \
%{summary}.

%description %_description

%package     -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pyparsing
BuildRequires:  python3-pytest

%description -n python3-%{srcname} %{_description}

%package     -n python3-%{srcname}-tests
Summary:        Tests for python3-%{srcname}
%{?python_provide:%python_provide python3-%{srcname}-tests}
Requires:       python3-%{srcname} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       python3-pytest

%description -n python3-rustcfg-tests
%{summary}.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rustcfg

%check
py.test-%{python3_version} -v

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%exclude %{python3_sitelib}/rustcfg/test

%files -n python3-%{srcname} -f %{pyproject_files}


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.0.2-12.mga10
+ Revision: 2240564
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.0.2-11.mga10
+ Revision: 2157588
- rebuild for python3.13

* Thu Feb 22 2024 papoteur <papoteur> 0.0.2-10.mga10
+ Revision: 2043232
- rebuild for python 3.12

* Sat Mar 26 2022 umeabot <umeabot> 0.0.2-9.mga9
+ Revision: 1828537
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 akien <akien> 0.0.2-8.mga9
+ Revision: 1779172
- Rebuild for python 3.10

* Sat Jun 26 2021 wally <wally> 0.0.2-7.mga9
+ Revision: 1732596
- Rebuild for python 3.9

* Fri Jun 04 2021 akien <akien> 0.0.2-6.mga9
+ Revision: 1729657
- Rebuild for Python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.0.2-5.mga8
+ Revision: 1532712
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 daviddavid <daviddavid> 0.0.2-4.mga8
+ Revision: 1442807
- rebuild for python3.8

* Wed Jan 09 2019 tv <tv> 0.0.2-3.mga7
+ Revision: 1353038
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.0.2-2.mga7
+ Revision: 1290009
- Mageia 7 Mass Rebuild

* Tue Sep 11 2018 akien <akien> 0.0.2-1.mga7
+ Revision: 1258313
- Adapt for Mageia
- import python-rustcfg from Fedora 30


* Thu Aug 16 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.0.2-1
- Update to 0.0.2

* Thu Aug 16 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.0.1-3
- Rebase with PyPI tarball

* Thu Aug 16 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.0.1-2
- Split out tests subpackage to avoid dependency on pytest

* Mon Aug 13 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.0.1-1
- Initial packaging (#1615629)
